Bug Hunting Session
Bug 78144 - FILEOPEN: WPS DOC - Incorrect alignment of page number in footer due to wrong position of tab stop
Summary: FILEOPEN: WPS DOC - Incorrect alignment of page number in footer due to wrong...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Tab-Stops DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2014-05-01 03:43 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-30 02:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
doc produced by kingsoft writer (186.50 KB, application/msword)
2014-05-01 03:43 UTC, Yousuf Philips (jay) (retired)
Details
shows how page numbers appears in word 2010 and LibO (17.80 KB, image/jpeg)
2014-05-01 03:44 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-01 03:43:21 UTC
Created attachment 98276 [details]
doc produced by kingsoft writer

I downloaded the .docx file found at < http://download.microsoft.com/documents/rus/microsoft4you/How_to_license_the_operating_system_Windows_8_new.docx > and opened it in Kingsoft Writer and then saved it as a doc file. Then i opened the saved file and all page numbers as positioned in the center of the footer rather then the right. Tested on 3.6 - 4.3.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-01 03:44:23 UTC
Created attachment 98277 [details]
shows how page numbers appears in word 2010 and LibO
Comment 2 tommy27 2014-05-01 06:54:36 UTC
reproduced under Win7x64 with 3.4.3 and 4.2.3 final releases under Win7x64

set status NEW

p.s. Jay please always cite the O/S where you experience the bug.
Comment 3 tommy27 2014-05-01 07:01:17 UTC
interestingly if you open the link .docx in LibO and save it to .doc there's no misplacing of page number

so I wonder if this is rather an issue caused by saving the file as .doc in Kingsoft Writer...

have you tried saving a new .doc with page numbers created from scratch in Kingsoft Writer?

does LibO fail to load the correct page number position as well?
Comment 4 tommy27 2014-05-01 07:07:21 UTC
changing summary notes.

would you please confirm that MS Word 2010 (as suggested in the screenshot) correctly displays Kingsoft Writer page number position unlike LibO?
Comment 5 Yousuf Philips (jay) (retired) 2014-05-01 08:07:59 UTC
Will remember to report my OS next time. Just so you know tommy27, i'm do extensive testing of any bug reports i send in. So in this case, i got the file, opened it up in kingsoft office, save it as a .doc. Then re-opened it in kingsoft office and compared the results with LibO and word 2010. word 2010 and kingsoft were a match, while LibO had problems, which is where the screenshot comes from.
Comment 6 tommy27 2014-05-01 08:20:21 UTC
Ok I see. so basically the issue doesn't appear in Kingsoft and MS Word but just in LibO.

but please, specify at least "once" your O/S... I suppose you are on Windows but we need exact confirmation and type (XP, Vista, 7, 8; 32 or 64 bit) because this may be important information in case of O/S-specific bugs
Comment 7 Yousuf Philips (jay) (retired) 2014-05-01 08:32:28 UTC
Yes i did specify my OS in the other bug report where you asked me to put it in. So i'll repeat it, i'm running linux mint 13.
Comment 8 A (Andy) 2015-12-27 20:53:24 UTC
Reproducible with LO 5.1.0.1, Win 8.1
Comment 9 QA Administrators 2018-09-30 02:47:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug